zVM 17.10 install: LVM installation results in IPL UNIT ERROR

Bug #1723541 reported by John George on 2017-10-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Critical
Canonical Foundations Team
s390-tools (Ubuntu)
Critical
Dimitri John Ledkov
Artful
Critical
Dimitri John Ledkov

Bug Description

[Impact]

zipl uses zipl_helper.device-mapper helper perl script to determine underlying device geometry/layout to create the bootmap records, when rootfs is on LVM / multipath devices.
That script calls dasdview to get the geometry of the DASD drives using deprecated -f options, which is now redundant given that device argument is now simply positional and required. With that flag, dasdview now exits with failure and the zipl_helper.device-mapper tool uses incorrect built-in fallback defaults, which are most likely wrong.

Without this fix installing onto multipath devices, or root on LVM (default) is not possible.

If 'use entire disk and set up LVM' is selected during installation of a zVM guest, the system fails to IPL with the error:

LOGON GENRL04
00: z/VM Version 6 Release 4.0, Service Level 1701 (64-bit),
00: built on IBM Virtualization Technology
00: There is no logmsg data
00: FILES: 0004 RDR, NO PRT, NO PUN
00: LOGON AT 12:12:16 EST FRIDAY 10/13/17
00: Command complete
00: Command complete
00: NIC 0600 is created; devices 0600-0602 defined
00: NIC 0600 is connected to VSWITCH SYSTEM VSW1
HCPVMI232E IPL UNIT ERROR; IRB 00404017 00000010 00200000 00800000
00: HCPGIR450W CP entered; disabled wait PSW 000E0000 00000232

DASD devices were configured in this instance.
The error is not seen when non-LVM partitioning is selected (e.g. User entire disk).

Changed in ubuntu-z-systems:
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Frank Heimes (frank-heimes) wrote :

confirmed on different z/VM system (version 6.3 instead of 6.4)

post install reboot shows:

 The system is going down NOWÜ
 Sent SIGTERM to all processes
 Sent SIGKILL to all processes
 Requesting system reboot

01: HCPGSP2629I The virtual machine is placed in CP mode due to a SIGP stop from
 CPU 00.
02: HCPGSP2629I The virtual machine is placed in CP mode due to a SIGP stop from
 CPU 00.
03: HCPGSP2629I The virtual machine is placed in CP mode due to a SIGP stop from
 CPU 00.
00: Storage cleared - system reset.
HCPVMI232E IPL UNIT ERROR; IRB 00404017 00000010 00200000 00800000
00: HCPGIR450W CP entered; disabled wait PSW 000E0000 00000232

manual attempt to ipl from disk 200:

00: I 200
HCPVMI232E IPL UNIT ERROR; IRB 00404017 00000010 00200000 00800000
00: HCPGIR450W CP entered; disabled wait PSW 000E0000 00000232

Changed in ubuntu-z-systems:
status: New → Confirmed
Frank Heimes (frank-heimes) wrote :

according to
z/VM, CP Messages and Codes, Version 6 Release 3
http://publibz.boulder.ibm.com/epubs/pdf/hcsb4c23.pdf
the PSW points to:
HCP4500W I/O error: Enabling the IPL device failed Explanation: The stand-alone dump IPL tool could not enable the IPL device. System action: The system enters a disabled wait state (wait state code = 4500). User response: Check the hardware configuration of your IPL device

assuming an issue with zipl

syslog search for zipl shows:
..not invoking zipl: /etc/zipl.conf not found...

Oct 16 05:36:21 in-target: WARNING, not invoking zipl: /etc/zipl.conf not found^M
Oct 16 05:36:22 zipl-installer: Root filesystem on /dev/mapper/hwe0009--vg-root (/dev/mapper/hwe0009--vg-root)
Oct 16 05:36:22 zipl-installer: info: Root filesystem is on LV ( hwe0009-vg root)
Oct 16 01:36:22 zipl: Boot loader written to dasda - 5e:00
Oct 16 05:36:22 zipl-installer: Using config file '/etc/zipl.conf'
Oct 16 05:36:22 zipl-installer: Ignore section 'old': Image file '/boot/vmlinuz.old'
Oct 16 05:36:22 zipl-installer: Run /lib/s390-tools/zipl_helper.device-mapper /boot
Oct 16 05:36:22 zipl-installer: Target device information
Oct 16 05:36:22 zipl-installer: Device..........................: 5e:00 *)
Oct 16 05:36:22 zipl-installer: Device name.....................: dasda
Oct 16 05:36:22 zipl-installer: Device driver name..............: device-mapper
Oct 16 05:36:22 zipl-installer: Type............................: disk device
Oct 16 05:36:22 zipl-installer: Disk layout.....................: SCSI disk layout *)
Oct 16 05:36:22 zipl-installer: Geometry - start................: 280 *)
Oct 16 05:36:22 zipl-installer: File system block size..........: 4096
Oct 16 05:36:22 zipl-installer: Physical block size.............: 4096 *)
Oct 16 05:36:22 zipl-installer: Device size in physical blocks..: 1303552
Oct 16 05:36:22 zipl-installer: *) Data provided by script.
Oct 16 05:36:22 zipl-installer: Building bootmap in '/boot'
Oct 16 05:36:22 zipl-installer: Building menu 'menu'
Oct 16 05:36:22 zipl-installer: Adding #1: IPL section 'ubuntu' (default)
Oct 16 05:36:22 zipl-installer: initial ramdisk...: /boot/initrd.img
Oct 16 05:36:22 zipl-installer: kernel image......: /boot/vmlinuz
Oct 16 05:36:22 zipl-installer: kernel parmline...: 'root=/dev/mapper/hwe0009--vg-root crashkernel=196M'
Oct 16 05:36:22 zipl-installer: component address:
Oct 16 05:36:22 zipl-installer: kernel image....: 0x00010000-0x003e4fff
Oct 16 05:36:22 zipl-installer: parmline........: 0x003e5000-0x003e5fff
Oct 16 05:36:22 zipl-installer: initial ramdisk.: 0x003f0000-0x01142fff
Oct 16 05:36:22 zipl-installer: internal loader.: 0x0000a000-0x0000cfff
Oct 16 05:36:22 zipl-installer: Ignore #2: IPL section 'old'
Oct 16 05:36:22 zipl-installer: Preparing boot device: dasda.
Oct 16 05:36:22 zipl-installer: Detected plain SCSI partition.
Oct 16 05:36:22 zipl-installer: Writing SCSI master boot record.
Oct 16 05:36:22 zipl-installer: Syncing disks...
Oct 16 05:36:22 zipl-installer: Done.

Frank Heimes (frank-heimes) wrote :

not limited to VM guest installations, same for LPARs (if Guided LVM is selected in d-i):

Operating System Messages:

Error
OSM0002
Messages Interface unavailable.
Messages table will refresh when communications is restored. If the problem persists, contact your service representative.

Changed in ubuntu-z-systems:
importance: High → Critical
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1723541

tags: added: iso-testing
Changed in s390-tools (Ubuntu Artful):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Dimitri John Ledkov (xnox)
milestone: none → ubuntu-17.10
description: updated
Changed in ubuntu-z-systems:
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 1.39.0-0ubuntu4

---------------
s390-tools (1.39.0-0ubuntu4) artful; urgency=medium

  * Drop the depracated '-f device' and use required position 'device'
    only. -f flag got removed post v1.37. Otherwise zipl fails to
    determine correct underlying device topology and fails to IPL root on
    LVM or multipath. LP: #1723541

 -- Dimitri John Ledkov <email address hidden> Tue, 17 Oct 2017 18:09:49 +0100

Changed in s390-tools (Ubuntu Artful):
status: In Progress → Fix Released
Changed in ubuntu-z-systems:
status: In Progress → Fix Released
Frank Heimes (frank-heimes) wrote :

verified - works - well done!

ChristianEhrhardt (paelzer) wrote :

Hmm,
just failed me today - we need to sort out if that was an old installer or if my case is slightly different.
- I had 2 mod54 dasds.
- Both were never used, so I let the installer do the dasdfmt.
- used guided lvm setup to use all space on each disk
- created a single VG with both disks in it
- one logical volume 80G for root
- one 6G for swap
- in the FS view assigining / and swap accordingly
- On the "zipl" step this failed (didn't show me extra details)

Dimitri John Ledkov (xnox) wrote :

@paelzer
your bug is different and unrelated. Spreading LVM group across multiple physical hard-drives violates zipl contraints for booting. Thus you must create a separate /boot partition, or set your logical volume to be mirrored across both physical volumes. There is a bug open elsewhere "d-i does not warn that you need a separate /boot partition when spreading volume group across multiple physical devices"

Frank Heimes (frank-heimes) wrote :

for completeness reasons: the ticket mentioned is LP 1680101

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers